Uses of Class
com.eqixiac.equinix.fabric.model.implementation.ProviderEnvironment
Packages that use ProviderEnvironment
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
Fabric domain model interfaces for the Equinix Java SDK.
-
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type ProviderEnvironmentModifier and TypeMethodDescriptiondefault List<ProviderEnvironment> ServiceProfiles.getEnvironments(String serviceProfileUuid) Lists the provider environments of anIC_PROFILEservice profile:GET /fabric/v4/serviceProfiles/{serviceProfileId}/environments(catalog operationgetServiceProfileEnvironmentsByUuid). -
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type ProviderEnvironment -
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.client.internal
Methods in com.eqixiac.equinix.fabric.client.internal that return types with arguments of type ProviderEnvironmentModifier and TypeMethodDescriptionServiceProfileClient.getEnvironments(String uuid) First page ofGET {uuid}/environments. -
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.client.internal.implementation
Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return types with arguments of type ProviderEnvironment -
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.model
Methods in com.eqixiac.equinix.fabric.model that return types with arguments of type ProviderEnvironment -
Uses of ProviderEnvironment in com.eqixiac.equinix.fabric.model.implementation
Methods in com.eqixiac.equinix.fabric.model.implementation with parameters of type ProviderEnvironmentModifier and TypeMethodDescriptionSimpleAccessPoint.AccessPointBuilder.environment(ProviderEnvironment environment) SetsAccessPoint.environmentfrom a provider environment read model, by uuid.